const plugin = require("tailwindcss/plugin");

module.exports = plugin(function ({ matchUtilities, theme }) {
  matchUtilities(
    {
      "bg-linear-gradient": (angle) => ({
        "background-image": `linear-gradient( 90deg, var(--tw-gradient-from) ${angle}, var(--tw-gradient-to) ${angle})`,
      }),
    },
    {
      values: Object.assign(theme("bgLinearGradientDeg", {}), {
        10: "10%",
        20: "20%",
        30: "30%",
        40: "40%",
        50: "50%",
        60: "60%",
        70: "70%",
        80: "80%",
        90: "90%",
      }),
    }
  );
});
